package com.zd.laboratory.domain.dto;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.valid.ValidGroup;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 黑名单添加实体
 *
 * @Author: zhoupan
 * @Date: 2021/09/09/8:59
 * @Description:
 */
public class LabBlacklistAdd {

    /**
     * 关联用户id
     */
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "用户ID不能为空！")
    private Long joinUserId;

    /**
     * 处置方案
     */
    @NotBlank(groups = ValidGroup.Crud.Create.class, message = "处置方案不能为空！")
    private String penaltyType;


    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public String getPenaltyType() {
        return penaltyType;
    }

    public void setPenaltyType(String penaltyType) {
        this.penaltyType = penaltyType;
    }
}
